### Signal

# Adw NavigationPage::shown

since: 1.4

#### Declaration

    void
    shown (
      AdwNavigationPage* self,
      gpointer user_data
    )

#### Description [src]

Emitted when the navigation view transition has been completed and the page is fully shown.

It will always be preceded by `AdwNavigationPage::showing` or `AdwNavigationPage::hiding`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.4